com.rscja.deviceapi.entity

## Class UHFTAGInfo

- java.lang.Object
- - com.rscja.deviceapi.entity.UHFTAGInfo

- All Implemented Interfaces:
    java.lang.Cloneable

      public class UHFTAGInfo
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UHFTAGInfo.ChipInfo`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `EXTRADATA_EPCAREA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFTAGInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UHFTAGInfo` | `clone()`
    `java.lang.String` | `getAnt()`
    `UHFTAGInfo.ChipInfo` | `getChipInfo()`
    `int` | `getCount()`
    `java.lang.String` | `getEPC()`
    `byte[]` | `getEpcBytes()`
    `java.lang.String` | `getExtraData(java.lang.String key)`
    `float` | `getFrequencyPoint()`
    `int` | `getIndex()`
    `java.lang.String` | `getPc()`
    `int` | `getPhase()`
    `int` | `getRemain()`
    `java.lang.String` | `getReserved()`
    `java.lang.String` | `getRssi()`
    `java.lang.String` | `getTid()`
    `byte[]` | `getTidBytes()`
    `long` | `getTimestamp()`
    `java.lang.String` | `getUser()`
    `byte[]` | `getUserBytes()`
    `void` | `setAnt(java.lang.String ant)`
    `void` | `setChipInfo(UHFTAGInfo.ChipInfo chipInfo)`
    `void` | `setCount(int count)`
    `void` | `setEPC(java.lang.String epc)`
    `void` | `setEpcBytes(byte[] epcBytes)`
    `void` | `setExtraData(java.lang.String Key, java.lang.String value)`
    `void` | `setFrequencyPoint(float frequencyPoint)`
    `void` | `setIndex(int index)`
    `void` | `setPc(java.lang.String pc)`
    `void` | `setPhase(int phase)`
    `void` | `setRemain(int remain)`
    `void` | `setReserved(java.lang.String reserved)`
    `void` | `setRssi(java.lang.String rssi)`
    `void` | `setTid(java.lang.String tid)`
    `void` | `setTidBytes(byte[] tidBytes)`
    `void` | `setTimestamp(long timestamp)`
    `void` | `setUser(java.lang.String user)`
    `void` | `setUserBytes(byte[] userBytes)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXTRADATA_EPCAREA

          public final java.lang.String EXTRADATA_EPCAREA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UHFTAGInfo

          public UHFTAGInfo()

  - ### Method Detail

    - #### getFrequencyPoint

          public float getFrequencyPoint()

    - #### setFrequencyPoint

          public void setFrequencyPoint(float frequencyPoint)

    - #### setEPC

          public void setEPC(java.lang.String epc)

    - #### getEPC

          public java.lang.String getEPC()

    - #### getTid

          public java.lang.String getTid()

    - #### setTid

          public void setTid(java.lang.String tid)

    - #### getUser

          public java.lang.String getUser()

    - #### setUser

          public void setUser(java.lang.String user)

    - #### getPc

          public java.lang.String getPc()

    - #### setPc

          public void setPc(java.lang.String pc)

    - #### getRssi

          public java.lang.String getRssi()

    - #### setRssi

          public void setRssi(java.lang.String rssi)

    - #### getAnt

          public java.lang.String getAnt()

    - #### setAnt

          public void setAnt(java.lang.String ant)

    - #### getRemain

          public int getRemain()

    - #### setRemain

          public void setRemain(int remain)

    - #### getIndex

          public int getIndex()

    - #### setIndex

          public void setIndex(int index)

    - #### getEpcBytes

          public byte[] getEpcBytes()

    - #### setEpcBytes

          public void setEpcBytes(byte[] epcBytes)

    - #### getReserved

          public java.lang.String getReserved()

    - #### setReserved

          public void setReserved(java.lang.String reserved)

    - #### getExtraData

          public java.lang.String getExtraData(java.lang.String key)

    - #### setExtraData

          public void setExtraData(java.lang.String Key,
                                   java.lang.String value)

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount(int count)

    - #### getChipInfo

          public UHFTAGInfo.ChipInfo getChipInfo()

    - #### setChipInfo

          public void setChipInfo(UHFTAGInfo.ChipInfo chipInfo)

    - #### getTimestamp

          public long getTimestamp()

    - #### setTimestamp

          public void setTimestamp(long timestamp)

    - #### getTidBytes

          public byte[] getTidBytes()

    - #### setTidBytes

          public void setTidBytes(byte[] tidBytes)

    - #### getUserBytes

          public byte[] getUserBytes()

    - #### setUserBytes

          public void setUserBytes(byte[] userBytes)

    - #### getPhase

          public int getPhase()

    - #### setPhase

          public void setPhase(int phase)

    - #### clone

          public UHFTAGInfo clone()

      Overrides:
        `clone` in class `java.lang.Object`